Debian Bug report logs - #498632
xserver-xorg-video-nv: 1600x1200 resolution not available

version graph

Package: xserver-xorg-video-nv; Maintainer for xserver-xorg-video-nv is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for xserver-xorg-video-nv is src:xserver-xorg-video-nv.

Reported by: Andrew Archibald <andrew.archibald@gmail.com>

Date: Thu, 11 Sep 2008 16:48:01 UTC

Severity: normal

Found in version xserver-xorg-video-nv/1:2.1.10-1

Fixed in version 1:2.1.17-3+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, andrew.archibald@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Andrew Archibald <andrew.archibald@gmail.com>:
New Bug report received and forwarded. Copy sent to andrew.archibald@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Archibald <andrew.archibald@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-nv: 1600x1200 resolution not available
Date: Thu, 11 Sep 2008 17:32:25 +0100
Package: xserver-xorg-video-nv
Version: 1:2.1.10-1
Severity: normal

On a recent fresh install of Lenny, xorg does not start in 1600x1200
resolution by default and it doesn't seem to be possible to manually
configure for 1600x1200. The monitors attached are lcd with native
resolution of 1600x1200, connected by DVI cables.

The relevant errors from Xorg log seem to be:
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)
(WW) NV(0): Shrinking virtual size estimate from 1600x1200 to 1280x1024

I've tried the following configuration directives in the relevant sections
of xorg.conf and still can't get the 1600x1200 resolution.

Modeline "1600x1200" 162 1600 1664 1856 2160 1200 1201 1204 1250
Option "PanelSize" "1600x1200"
Option  "Dualhead"      "true"

More information on this system below.

pc20:~# lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)] (rev a1)
pc20:~# xresprobe nv
id: DELL 2007FP
res: 1600x1200 1280x1024 1152x864 1024x768 800x600 720x400 640x480
freq: 30-83 56-76
disptype: crt
pc20:~# ddcprobe
vbe: VESA 3.0 detected.
oem: NVIDIA
vendor: NVIDIA Corporation
product: nv44 Board - p262h0 Chip Rev
memory: 131072kb
mode: 640x400x256
mode: 640x480x256
mode: 800x600x16
mode: 800x600x256
mode: 1024x768x16
mode: 1024x768x256
mode: 1280x1024x16
mode: 1280x1024x256
mode: 320x200x64k
mode: 320x200x16m
mode: 640x480x64k
mode: 640x480x16m
mode: 800x600x64k
mode: 800x600x16m
mode: 1024x768x64k
mode: 1024x768x16m
mode: 1280x1024x64k
mode: 1280x1024x16m
edid:
edid: 1 3
id: a021
eisa: DELa021
serial: 30434853
manufacture: 44 2006
input: analog signal.
screensize: 41 31
gamma: 2.200000
dpms: RGB, active off, suspend, standby
timing: 720x400@70 Hz (VGA 640x400, IBM)
timing: 640x480@60 Hz (VGA)
timing: 640x480@75 Hz (VESA)
timing: 800x600@60 Hz (VESA)
timing: 800x600@72 Hz (VESA)
timing: 800x600@75 Hz (VESA)
timing: 1024x768@87 Hz Interlaced (8514A)
timing: 1024x768@75 Hz (VESA)
ctiming: 1280x1024@60
ctiming: 1600x1200@60
ctiming: 1152x864@75
dtiming: 1600x1200@78
monitorserial: Y99236B20CHS
monitorname: DELL 2007FP
monitorrange: 30-83, 56-76
pc20:~# vbetool vbefp panelsize
1600x1200


-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-09-05 11:09 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1719572 2008-08-15 18:37 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)] (rev a1)

/etc/X11/xorg.conf unchanged from checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1077 2008-09-11 16:43 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"gb"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier	"Configured Video Device"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 47546 2008-09-11 16:44 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.2-4)
Current Operating System: Linux pc20.choppywater.net 2.6.24-1-686 #1 SMP Thu May 8 02:16:39 UTC 2008 i686
Build Date: 15 August 2008  07:19:42PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Sep 11 16:44:20 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
	Using the first mouse device.
(==) The core keyboard device wasn't specified explicitly in the layout.
	Using the first keyboard device.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81e3c00
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,2580 card 1734,105b rev 04 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,2581 card 0000,0000 rev 04 class 06,04,00 hdr 01
(II) PCI: 00:1c:0: chip 8086,2660 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1c:1: chip 8086,2662 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1c:2: chip 8086,2664 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1c:3: chip 8086,2666 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1d:0: chip 8086,2658 card 1734,105c rev 03 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,2659 card 1734,105c rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,265a card 1734,105c rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:3: chip 8086,265b card 1734,105c rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,265c card 1734,105c rev 03 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev d3 class 06,04,01 hdr 81
(II) PCI: 00:1e:2: chip 8086,266e card 1734,105a rev 03 class 04,01,00 hdr 00
(II) PCI: 00:1f:0: chip 8086,2640 card 1734,105c rev 03 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,266f card 1734,105c rev 03 class 01,01,8a hdr 00
(II) PCI: 00:1f:2: chip 8086,2651 card 1734,105c rev 03 class 01,01,8f hdr 00
(II) PCI: 00:1f:3: chip 8086,266a card 1734,105c rev 03 class 0c,05,00 hdr 00
(II) PCI: 01:00:0: chip 10de,0161 card 107d,56c4 rev a1 class 03,00,00 hdr 00
(II) PCI: 07:00:0: chip 14e4,1677 card 1734,105d rev 01 class 02,00,00 hdr 00
(II) PCI: 0b:05:0: chip 9005,0080 card 9005,62a0 rev 02 class 01,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,11), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000e (VGA_EN is set)
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xf1000000 - 0xf2ffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 3: bridge is at (0:28:0), (0,3,3), BCTRL: 0x0002 (VGA_EN is cleared)
(II) PCI-to-PCI bridge:
(II) Bus 5: bridge is at (0:28:1), (0,5,5), BCTRL: 0x0002 (VGA_EN is cleared)
(II) PCI-to-PCI bridge:
(II) Bus 7: bridge is at (0:28:2), (0,7,7), BCTRL: 0x0006 (VGA_EN is cleared)
(II) Bus 7 non-prefetchable memory range:
	[0] -1	0	0xf3000000 - 0xf30fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 9: bridge is at (0:28:3), (0,9,9), BCTRL: 0x0002 (VGA_EN is cleared)
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 11: bridge is at (0:30:0), (0,11,11), BCTRL: 0x0006 (VGA_EN is cleared)
(II) Bus 11 I/O range:
	[0] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[1] -1	0	0x00004400 - 0x000044ff (0x100) IX[B]
	[2] -1	0	0x00004800 - 0x000048ff (0x100) IX[B]
	[3] -1	0	0x00004c00 - 0x00004cff (0x100) IX[B]
(II) Bus 11 non-prefetchable memory range:
	[0] -1	0	0xf3100000 - 0xf31fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)] rev 161, Mem @ 0xf2000000/24, 0xe0000000/28, 0xf1000000/24
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xf3100000 - 0xf3100fff (0x1000) MX[B]
	[1] -1	0	0xf3000000 - 0xf300ffff (0x10000) MX[B]
	[2] -1	0	0xf0000400 - 0xf00004ff (0x100) MX[B]
	[3] -1	0	0xf0000800 - 0xf00009ff (0x200) MX[B]
	[4] -1	0	0xf0000000 - 0xf00003ff (0x400) MX[B]
	[5] -1	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B](B)
	[6] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B](B)
	[7] -1	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B](B)
	[8] -1	0	0x00003800 - 0x0000381f (0x20) IX[B]
	[9] -1	0	0x00003c10 - 0x00003c1f (0x10) IX[B]
	[10] -1	0	0x00003c20 - 0x00003c23 (0x4) IX[B]
	[11] -1	0	0x00003c28 - 0x00003c2f (0x8) IX[B]
	[12] -1	0	0x00003c24 - 0x00003c27 (0x4) IX[B]
	[13] -1	0	0x00003c30 - 0x00003c37 (0x8) IX[B]
	[14] -1	0	0x00003c00 - 0x00003c0f (0x10) IX[B]
	[15] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[16] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[17] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[18] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[19] -1	0	0x00003000 - 0x0000303f (0x40) IX[B]
	[20] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[21] -1	0	0x00002c00 - 0x00002c1f (0x20) IX[B]
	[22] -1	0	0x00002800 - 0x0000281f (0x20) IX[B]
	[23] -1	0	0x00002400 - 0x0000241f (0x20) IX[B]
	[24] -1	0	0x00002000 - 0x0000201f (0x20) IX[B]
(II) Inactive PCI resource ranges:
	[0] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xf3100000 - 0xf3100fff (0x1000) MX[B]
	[1] -1	0	0xf3000000 - 0xf300ffff (0x10000) MX[B]
	[2] -1	0	0xf0000400 - 0xf00004ff (0x100) MX[B]
	[3] -1	0	0xf0000800 - 0xf00009ff (0x200) MX[B]
	[4] -1	0	0xf0000000 - 0xf00003ff (0x400) MX[B]
	[5] -1	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B](B)
	[6] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B](B)
	[7] -1	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B](B)
	[8] -1	0	0x00003800 - 0x0000381f (0x20) IX[B]
	[9] -1	0	0x00003c10 - 0x00003c1f (0x10) IX[B]
	[10] -1	0	0x00003c20 - 0x00003c23 (0x4) IX[B]
	[11] -1	0	0x00003c28 - 0x00003c2f (0x8) IX[B]
	[12] -1	0	0x00003c24 - 0x00003c27 (0x4) IX[B]
	[13] -1	0	0x00003c30 - 0x00003c37 (0x8) IX[B]
	[14] -1	0	0x00003c00 - 0x00003c0f (0x10) IX[B]
	[15] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[16] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[17] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[18] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[19] -1	0	0x00003000 - 0x0000303f (0x40) IX[B]
	[20] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[21] -1	0	0x00002c00 - 0x00002c1f (0x20) IX[B]
	[22] -1	0	0x00002800 - 0x0000281f (0x20) IX[B]
	[23] -1	0	0x00002400 - 0x0000241f (0x20) IX[B]
	[24] -1	0	0x00002000 - 0x0000201f (0x20) IX[B]
(II) Inactive PCI resource ranges after removing overlaps:
	[0] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf3100000 - 0xf3100fff (0x1000) MX[B]
	[5] -1	0	0xf3000000 - 0xf300ffff (0x10000) MX[B]
	[6] -1	0	0xf0000400 - 0xf00004ff (0x100) MX[B]
	[7] -1	0	0xf0000800 - 0xf00009ff (0x200) MX[B]
	[8] -1	0	0xf0000000 - 0xf00003ff (0x400) MX[B]
	[9] -1	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B](B)
	[10] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B](B)
	[11] -1	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B](B)
	[12] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[13] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[14] -1	0	0x00003800 - 0x0000381f (0x20) IX[B]
	[15] -1	0	0x00003c10 - 0x00003c1f (0x10) IX[B]
	[16] -1	0	0x00003c20 - 0x00003c23 (0x4) IX[B]
	[17] -1	0	0x00003c28 - 0x00003c2f (0x8) IX[B]
	[18] -1	0	0x00003c24 - 0x00003c27 (0x4) IX[B]
	[19] -1	0	0x00003c30 - 0x00003c37 (0x8) IX[B]
	[20] -1	0	0x00003c00 - 0x00003c0f (0x10) IX[B]
	[21] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[22] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[23] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[24] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[25] -1	0	0x00003000 - 0x0000303f (0x40) IX[B]
	[26] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[27] -1	0	0x00002c00 - 0x00002c1f (0x20) IX[B]
	[28] -1	0	0x00002800 - 0x0000281f (0x20) IX[B]
	[29] -1	0	0x00002400 - 0x0000241f (0x20) IX[B]
	[30] -1	0	0x00002000 - 0x0000201f (0x20) IX[B]
	[31] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) Matched nv from file name nv.ids in autoconfig
(==) Matched nv for the autoconfigured driver
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "nv"
(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.1.10
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
	Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
	Aladdin TNT2, GeForce 256, GeForce DDR, Quadro, GeForce2 MX/MX 400,
	GeForce2 MX 100/200, GeForce2 Go, Quadro2 MXR/EX/Go,
	GeForce2 Integrated GPU, GeForce2 GTS, GeForce2 Ti, GeForce2 Ultra,
	Quadro2 Pro, GeForce4 MX 460, GeForce4 MX 440, GeForce4 MX 420,
	GeForce4 MX 440-SE, GeForce4 440 Go, GeForce4 420 Go,
	GeForce4 420 Go 32M, GeForce4 460 Go, Quadro4 550 XGL,
	GeForce4 440 Go 64M, Quadro NVS, Quadro4 500 GoGL,
	GeForce4 410 Go 16M, GeForce4 MX 440 with AGP8X,
	GeForce4 MX 440SE with AGP8X, GeForce4 MX 420 with AGP8X,
	GeForce4 MX 4000, GeForce4 448 Go, GeForce4 488 Go, Quadro4 580 XGL,
	Quadro4 NVS 280 SD, Quadro4 380 XGL, Quadro NVS 50 PCI,
	GeForce4 448 Go, GeForce4 MX Integrated GPU, GeForce3,
	GeForce3 Ti 200, GeForce3 Ti 500, Quadro DCC, GeForce4 Ti 4600,
	GeForce4 Ti 4400, GeForce4 Ti 4200, Quadro4 900 XGL, Quadro4 750 XGL,
	Quadro4 700 XGL, GeForce4 Ti 4800, GeForce4 Ti 4200 with AGP8X,
	GeForce4 Ti 4800 SE, GeForce4 4200 Go, Quadro4 700 GoGL,
	Quadro4 980 XGL, Quadro4 780 XGL, GeForce FX 5800 Ultra,
	GeForce FX 5800, Quadro FX 2000, Quadro FX 1000,
	GeForce FX 5600 Ultra, GeForce FX 5600, GeForce FX 5600XT,
	GeForce FX Go5600, GeForce FX Go5650, Quadro FX Go700,
	GeForce FX 5200, GeForce FX 5200 Ultra, GeForce FX 5200,
	GeForce FX 5200LE, GeForce FX Go5200, GeForce FX Go5250,
	GeForce FX 5500, GeForce FX 5100, GeForce FX Go5200 32M/64M,
	Quadro NVS 55/280 PCI, Quadro FX 500/600 PCI,
	GeForce FX Go53xx Series, GeForce FX Go5100, GeForce FX 5900 Ultra,
	GeForce FX 5900, GeForce FX 5900XT, GeForce FX 5950 Ultra,
	GeForce FX 5900ZT, Quadro FX 3000, Quadro FX 700,
	GeForce FX 5700 Ultra, GeForce FX 5700, GeForce FX 5700LE,
	GeForce FX 5700VE, GeForce FX Go5700, GeForce FX Go5700,
	Quadro FX Go1000, Quadro FX 1100, GeForce 6800 Ultra, GeForce 6800,
	GeForce 6800 LE, GeForce 6800 XE, GeForce 6800 XT, GeForce 6800 GT,
	GeForce 6800 GT, GeForce 6800 GS, GeForce 6800 XT, Quadro FX 4000,
	GeForce 6800 GS, GeForce 6800, GeForce 6800 LE, GeForce 6800 XT,
	GeForce Go 6800, GeForce Go 6800 Ultra, Quadro FX Go1400,
	Quadro FX 3450/4000 SDI, Quadro FX 1400, GeForce 6600 GT,
	GeForce 6600, GeForce 6600 LE, GeForce 6600 VE, GeForce Go 6600,
	GeForce 6610 XL, GeForce Go 6600 TE/6200 TE, GeForce 6700 XL,
	GeForce Go 6600, GeForce Go 6600 GT, Quadro FX 550, Quadro FX 550,
	Quadro FX 540, GeForce 6200, GeForce 6500,
	GeForce 6200 TurboCache(TM), GeForce 6200SE TurboCache(TM),
	GeForce 6200 LE, GeForce Go 6200, Quadro NVS 285, GeForce Go 6400,
	GeForce Go 6200, GeForce Go 6400, GeForce 6250, GeForce 6800,
	GeForce 6800 LE, GeForce 6800 GT, GeForce 6800 XT, GeForce 6200,
	GeForce 6200 A-LE, GeForce 7800 GTX, GeForce 7800 GTX,
	GeForce 7800 GT, GeForce 7800 GS, GeForce 7800 SLI, GeForce Go 7800,
	GeForce Go 7800 GTX, Quadro FX 4500, GeForce 7300 LE,
	GeForce 7300 SE, GeForce Go 7200, GeForce Go 7300, GeForce Go 7400,
	GeForce Go 7400 GS, Quadro NVS 110M, Quadro NVS 120M, Quadro FX 350M,
	GeForce 7500 LE, Quadro FX 350, GeForce 7300 GS, GeForce 7600 GT,
	GeForce 7600 GS, GeForce 7300 GT, GeForce 7600 LE, GeForce 7300 GT,
	GeForce Go 7700, GeForce Go 7600, GeForce Go 7600 GT,
	Quadro NVS 300M, GeForce Go 7900 SE, Quadro FX 550M, Quadro FX 560,
	GeForce 7900 GTX, GeForce 7900 GT, GeForce 7900 GS,
	GeForce Go 7900 GS, GeForce Go 7900 GTX, Quadro FX 2500M,
	Quadro FX 1500M, Quadro FX 5500, Quadro FX 3500, Quadro FX 1500,
	Quadro FX 4500 X2, GeForce 6150, GeForce 6150 LE, GeForce 6100,
	GeForce Go 6150, GeForce Go 6100, GeForce 8800 GTX, GeForce 8800 GTS,
	GeForce 8800 Ultra, Quadro FX 5600, Quadro FX 4600, GeForce 8600 GTS,
	GeForce 8600 GT, GeForce 8600 GT, GeForce 8400 GS, GeForce 9500M GS,
	GeForce 8600M GT, GeForce 9650M GS, GeForce 8700M GT, Quadro FX 370,
	Quadro NVS 320M, Quadro FX 570M, Quadro FX 1600M, Quadro FX 570,
	Quadro FX 1700, GeForce 8400 SE, GeForce 8500 GT, GeForce 8400 GS,
	GeForce 8300 GS, GeForce 8400 GS, GeForce 8600M GS, GeForce 8400M GT,
	GeForce 8400M GS, GeForce 8400M G, Quadro NVS 140M, Quadro NVS 130M,
	Quadro NVS 135M, Quadro FX 360M, GeForce 9300M G, Quadro NVS 290,
	GeForce GTX 280, GeForce GTX 260, GeForce 8800 GTS 512,
	GeForce 8800 GT, GeForce 9800 GX2, GeForce 8800 GS,
	GeForce 8800M GTS, GeForce 8800M GTX, GeForce 8800 GS,
	GeForce 9600 GSO, GeForce 8800 GT, GeForce 9800 GTX, Quadro FX 3700,
	Quadro FX 3600M, GeForce 9600 GT, GeForce 9600M GT, GeForce 9600M GS,
	GeForce 9600M GT, GeForce 9500M G, GeForce 8400 GS, GeForce 9300M GS,
	GeForce 9200M GS, GeForce 9300M GS
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset GeForce 6200 TurboCache(TM) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf3100000 - 0xf3100fff (0x1000) MX[B]
	[5] -1	0	0xf3000000 - 0xf300ffff (0x10000) MX[B]
	[6] -1	0	0xf0000400 - 0xf00004ff (0x100) MX[B]
	[7] -1	0	0xf0000800 - 0xf00009ff (0x200) MX[B]
	[8] -1	0	0xf0000000 - 0xf00003ff (0x400) MX[B]
	[9] -1	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B](B)
	[10] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B](B)
	[11] -1	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B](B)
	[12] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[13] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[14] -1	0	0x00003800 - 0x0000381f (0x20) IX[B]
	[15] -1	0	0x00003c10 - 0x00003c1f (0x10) IX[B]
	[16] -1	0	0x00003c20 - 0x00003c23 (0x4) IX[B]
	[17] -1	0	0x00003c28 - 0x00003c2f (0x8) IX[B]
	[18] -1	0	0x00003c24 - 0x00003c27 (0x4) IX[B]
	[19] -1	0	0x00003c30 - 0x00003c37 (0x8) IX[B]
	[20] -1	0	0x00003c00 - 0x00003c0f (0x10) IX[B]
	[21] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[22] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[23] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[24] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[25] -1	0	0x00003000 - 0x0000303f (0x40) IX[B]
	[26] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[27] -1	0	0x00002c00 - 0x00002c1f (0x20) IX[B]
	[28] -1	0	0x00002800 - 0x0000281f (0x20) IX[B]
	[29] -1	0	0x00002400 - 0x0000241f (0x20) IX[B]
	[30] -1	0	0x00002000 - 0x0000201f (0x20) IX[B]
	[31] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf3100000 - 0xf3100fff (0x1000) MX[B]
	[5] -1	0	0xf3000000 - 0xf300ffff (0x10000) MX[B]
	[6] -1	0	0xf0000400 - 0xf00004ff (0x100) MX[B]
	[7] -1	0	0xf0000800 - 0xf00009ff (0x200) MX[B]
	[8] -1	0	0xf0000000 - 0xf00003ff (0x400) MX[B]
	[9] -1	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B](B)
	[10] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B](B)
	[11] -1	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B](B)
	[12] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[13] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[14] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x00003800 - 0x0000381f (0x20) IX[B]
	[18] -1	0	0x00003c10 - 0x00003c1f (0x10) IX[B]
	[19] -1	0	0x00003c20 - 0x00003c23 (0x4) IX[B]
	[20] -1	0	0x00003c28 - 0x00003c2f (0x8) IX[B]
	[21] -1	0	0x00003c24 - 0x00003c27 (0x4) IX[B]
	[22] -1	0	0x00003c30 - 0x00003c37 (0x8) IX[B]
	[23] -1	0	0x00003c00 - 0x00003c0f (0x10) IX[B]
	[24] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[25] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[26] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[27] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[28] -1	0	0x00003000 - 0x0000303f (0x40) IX[B]
	[29] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[30] -1	0	0x00002c00 - 0x00002c1f (0x20) IX[B]
	[31] -1	0	0x00002800 - 0x0000281f (0x20) IX[B]
	[32] -1	0	0x00002400 - 0x0000241f (0x20) IX[B]
	[33] -1	0	0x00002000 - 0x0000201f (0x20) IX[B]
	[34] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[35] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[36] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) NV(0): Initializing int10
(WW) NV(0): Bad V_BIOS checksum
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Chipset: "GeForce 6200 TurboCache(TM)"
(II) NV(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) NV(0): Depth 24, (==) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 0.1.0
	ABI class: X.Org Video Driver, version 2.0
(==) NV(0): Using HW cursor
(--) NV(0): Linear framebuffer at 0xE0000000
(--) NV(0): MMIO registers at 0xF2000000
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: DEL  Model: a021  Serial#: 809715283
(II) NV(0): Year: 2006  Week: 44
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max H-Image Size [cm]: horiz.: 41  vert.: 31
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) NV(0): Default color space is primary color space
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) NV(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) NV(0): Supported VESA Video Modes:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #1: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
(II) NV(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 162.0 MHz   Image Size:  367 x 275 mm
(II) NV(0): h_active: 1600  h_sync: 1664  h_sync_end 1856 h_blank_end 2160 h_border: 0
(II) NV(0): v_active: 1200  v_sync: 1201  v_sync_end 1204 v_blanking: 1250 v_border: 0
(II) NV(0): Serial No: Y99236B20CFS
(II) NV(0): Monitor name: DELL 2007FP
(II) NV(0): Ranges: V min: 56  V max: 76 Hz, H min: 30  H max: 83 kHz, PixClock max 170 MHz
(II) NV(0): EDID (in hex):
(II) NV(0): 	00ffffffffffff0010ac21a053464330
(II) NV(0): 	2c10010380291f78eeee91a3544c9926
(II) NV(0): 	0f5054a54b008180a940714f01010101
(II) NV(0): 	010101010101483f403062b0324040c0
(II) NV(0): 	13006f131100001e000000ff00593939
(II) NV(0): 	3233364232304346530a000000fc0044
(II) NV(0): 	454c4c203230303746500a20000000fd
(II) NV(0): 	00384c1e5311000a2020202020200076
(II) NV(0): Probing for EDID on I2C bus B...
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: DEL  Model: a021  Serial#: 809715795
(II) NV(0): Year: 2006  Week: 44
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max H-Image Size [cm]: horiz.: 41  vert.: 31
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) NV(0): Default color space is primary color space
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) NV(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) NV(0): Supported VESA Video Modes:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #1: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
(II) NV(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 162.0 MHz   Image Size:  367 x 275 mm
(II) NV(0): h_active: 1600  h_sync: 1664  h_sync_end 1856 h_blank_end 2160 h_border: 0
(II) NV(0): v_active: 1200  v_sync: 1201  v_sync_end 1204 v_blanking: 1250 v_border: 0
(II) NV(0): Serial No: Y99236B20CHS
(II) NV(0): Monitor name: DELL 2007FP
(II) NV(0): Ranges: V min: 56  V max: 76 Hz, H min: 30  H max: 83 kHz, PixClock max 170 MHz
(II) NV(0): EDID (in hex):
(II) NV(0): 	00ffffffffffff0010ac21a053484330
(II) NV(0): 	2c10010380291f78eeee91a3544c9926
(II) NV(0): 	0f5054a54b008180a940714f01010101
(II) NV(0): 	010101010101483f403062b0324040c0
(II) NV(0): 	13006f131100001e000000ff00593939
(II) NV(0): 	3233364232304348530a000000fc0044
(II) NV(0): 	454c4c203230303746500a20000000fd
(II) NV(0): 	00384c1e5311000a2020202020200072
(--) NV(0): CRTC 0 is currently programmed for DFP
(II) NV(0): Using DFP on CRTC 0
(--) NV(0): Panel size is 1280 x 1024
(II) NV(0): NOTE: This driver cannot reconfigure the BIOS-programmed size.
(II) NV(0): These dimensions will be used as the panel size for mode validation.
(II) NV(0): EDID vendor "DEL", prod id 40993
(II) NV(0): Using EDID range info for horizontal sync
(II) NV(0): Using EDID range info for vertical refresh
(II) NV(0): Printing DDC gathered Modelines:
(II) NV(0): Modeline "1600x1200"x0.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
(II) NV(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) NV(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) NV(0): Modeline "640x480"x0.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) NV(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) NV(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) NV(0): Modeline "1024x768"x0.0   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) NV(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) NV(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) NV(0): Modeline "1280x1024"x59.9  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync (63.7 kHz)
(II) NV(0): Modeline "1600x1200"x59.9  161.00  1600 1712 1880 2160  1200 1203 1207 1245 -hsync +vsync (74.5 kHz)
(II) NV(0): Modeline "1152x864"x74.8  104.00  1152 1224 1344 1536  864 867 871 905 -hsync +vsync (67.7 kHz)
(II) NV(0): Panel is TMDS
(--) NV(0): VideoRAM: 131072 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Configured Monitor: Using hsync range of 30.00-83.00 kHz
(II) NV(0): Configured Monitor: Using vrefresh range of 56.00-76.00 Hz
(II) NV(0): Configured Monitor: Using maximum pixel clock of 170.00 MHz
(II) NV(0): Estimated virtual size for aspect ratio 1.3226 is 1600x1200
(II) NV(0): Clock range:  12.00 to 400.00 MHz
(II) NV(0): Not using default mode "640x350" (vrefresh out of range)
(II) NV(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (vrefresh out of range)
(II) NV(0): Not using default mode "320x200" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "720x400" (vrefresh out of range)
(II) NV(0): Not using default mode "360x200" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x480" (vrefresh out of range)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "800x600" (vrefresh out of range)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1024x768" (vrefresh out of range)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x960" (hsync out of range)
(II) NV(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x1024" (hsync out of range)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) NV(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) NV(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1856x1392" (width too large for virtual size)
(II) NV(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1856x1392" (width too large for virtual size)
(II) NV(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "416x312" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1152x768" (vrefresh out of range)
(II) NV(0): Not using default mode "576x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1152x864" (vrefresh out of range)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) NV(0): Not using default mode "720x450" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1680x1050" (width too large for virtual size)
(II) NV(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (width too large for virtual size)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (width too large for virtual size)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2048x1536" (width too large for virtual size)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2048x1536" (width too large for virtual size)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2048x1536" (width too large for virtual size)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)
(WW) NV(0): Shrinking virtual size estimate from 1600x1200 to 1280x1024
(--) NV(0): Virtual size is 1280x1024 (pitch 1280)
(**) NV(0): *Driver mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(**) NV(0): *Driver mode "1280x1024": 109.0 MHz, 63.7 kHz, 59.9 Hz
(II) NV(0): Modeline "1280x1024"x59.9  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync (63.7 kHz)
(**) NV(0): *Driver mode "1280x1024": 90.8 MHz, 63.0 kHz, 59.8 Hz
(II) NV(0): Modeline "1280x1024"x59.8   90.75  1280 1328 1360 1440  1024 1027 1034 1054 +hsync -vsync (63.0 kHz)
(**) NV(0): *Default mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(**) NV(0): *Default mode "1280x1024": 108.0 MHz, 64.0 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(**) NV(0): *Default mode "1280x960": 108.0 MHz, 60.0 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz)
(**) NV(0): *Default mode "1280x800": 83.5 MHz, 49.7 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x800"x60.0   83.46  1280 1344 1480 1680  800 801 804 828 (49.7 kHz)
(**) NV(0): *Driver mode "1152x864": 104.0 MHz, 67.7 kHz, 74.8 Hz
(II) NV(0): Modeline "1152x864"x74.8  104.00  1152 1224 1344 1536  864 867 871 905 -hsync +vsync (67.7 kHz)
(**) NV(0): *Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(II) NV(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(**) NV(0): *Default mode "1280x768": 80.1 MHz, 47.7 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x768"x60.0   80.14  1280 1344 1480 1680  768 769 772 795 (47.7 kHz)
(**) NV(0): *Driver mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) NV(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(**) NV(0): *Driver mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) NV(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(**) NV(0): *Default mode "1024x768": 78.8 MHz, 60.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(**) NV(0): *Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) NV(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz)
(**) NV(0): *Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) NV(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(**) NV(0): *Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) NV(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)
(**) NV(0): *Driver mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) NV(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(**) NV(0): *Driver mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) NV(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(**) NV(0): *Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) NV(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(**) NV(0): *Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) NV(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(**) NV(0): *Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) NV(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(**) NV(0): *Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) NV(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(**) NV(0): *Driver mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) NV(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(**) NV(0): *Driver mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) NV(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(**) NV(0): *Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) NV(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(**) NV(0): *Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) NV(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(**) NV(0): *Default mode "640x480": 25.2 MHz, 31.5 kHz, 59.9 Hz
(II) NV(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(**) NV(0): *Driver mode "720x400": 28.3 MHz, 31.5 kHz, 70.1 Hz
(II) NV(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(**) NV(0): Display dimensions: (410, 310) mm
(**) NV(0): DPI set to (79, 83)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.2.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B]
	[1] 0	0	0xe0000000 - 0xefffffff (0x10000000) MX[B]
	[2] 0	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B]
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0xf3100000 - 0xf3100fff (0x1000) MX[B]
	[8] -1	0	0xf3000000 - 0xf300ffff (0x10000) MX[B]
	[9] -1	0	0xf0000400 - 0xf00004ff (0x100) MX[B]
	[10] -1	0	0xf0000800 - 0xf00009ff (0x200) MX[B]
	[11] -1	0	0xf0000000 - 0xf00003ff (0x400) MX[B]
	[12] -1	0	0xf1000000 - 0xf1ffffff (0x1000000) MX[B](B)
	[13] -1	0	0xe0000000 - 0xefffffff (0x10000000) MX[B](B)
	[14] -1	0	0xf2000000 - 0xf2ffffff (0x1000000) MX[B](B)
	[15] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[16] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[17] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x00003800 - 0x0000381f (0x20) IX[B]
	[21] -1	0	0x00003c10 - 0x00003c1f (0x10) IX[B]
	[22] -1	0	0x00003c20 - 0x00003c23 (0x4) IX[B]
	[23] -1	0	0x00003c28 - 0x00003c2f (0x8) IX[B]
	[24] -1	0	0x00003c24 - 0x00003c27 (0x4) IX[B]
	[25] -1	0	0x00003c30 - 0x00003c37 (0x8) IX[B]
	[26] -1	0	0x00003c00 - 0x00003c0f (0x10) IX[B]
	[27] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[28] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[29] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[30] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[31] -1	0	0x00003000 - 0x0000303f (0x40) IX[B]
	[32] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[33] -1	0	0x00002c00 - 0x00002c1f (0x20) IX[B]
	[34] -1	0	0x00002800 - 0x0000281f (0x20) IX[B]
	[35] -1	0	0x00002400 - 0x0000241f (0x20) IX[B]
	[36] -1	0	0x00002000 - 0x0000201f (0x20) IX[B]
	[37] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[38] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[39] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) NV(0): Write-combining range (0xe0000000,0x8000000)
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Scanline Image Writes
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
(II) NV(0): DPMS enabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) AIGLX: Screen 0 is not DRI capable
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(WW) Configured Mouse: No Device specified, looking for one...
(II) Configured Mouse: Setting Device option to "/dev/input/mice"
(--) Configured Mouse: Device: "/dev/input/mice"
(==) Configured Mouse: Protocol: "Auto"
(**) Option "CorePointer"
(**) Configured Mouse: always reports core events
(==) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(**) Option "CoreKeyboard"
(**) Generic Keyboard: always reports core events
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Generic Keyboard: XkbModel: "pc105"
(**) Option "XkbLayout" "gb"
(**) Generic Keyboard: XkbLayout: "gb"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(II) evaluating device (Configured Mouse)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) evaluating device (Generic Keyboard)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(--) Configured Mouse: PnP-detected protocol: "ExplorerPS/2"
(II) Configured Mouse: ps2EnableDataReporting: succeeded


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-nv depends on:
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  xserver-xorg-core             2:1.4.2-4  Xorg X server - core server

xserver-xorg-video-nv recommends no packages.

xserver-xorg-video-nv suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 498632@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Andrew Archibald <andrew.archibald@gmail.com>, 498632@bugs.debian.org
Subject: Re: Bug#498632: xserver-xorg-video-nv: 1600x1200 resolution not available
Date: Fri, 12 Sep 2008 08:05:56 +0200
Andrew Archibald wrote:
> On a recent fresh install of Lenny, xorg does not start in 1600x1200
> resolution by default and it doesn't seem to be possible to manually
> configure for 1600x1200. The monitors attached are lcd with native
> resolution of 1600x1200, connected by DVI cables.
>   

Do you know if the bug occured with older versions of the driver?
Could you try some of them by looking at http://snapshot.debian.net ?

> Modeline "1600x1200" 162 1600 1664 1856 2160 1200 1201 1204 1250
> Option "PanelSize" "1600x1200"
> Option  "Dualhead"      "true"
>   

PanelSize does not seem to exist in the nv driver, while this is what
would be required to make things work.

Does it work better if you plug only one of the monitors? Can you try
both monitor alone, and try each of them plugged on each output?

By the way, if you're feeling a bit adventurous, you could you the
"nouveau" driver in experimental.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to "Andrew Archibald" <andrew.archibald@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 498632@bugs.debian.org (full text, mbox):

From: "Andrew Archibald" <andrew.archibald@gmail.com>
To: "Brice Goglin" <Brice.Goglin@ens-lyon.org>
Cc: 498632@bugs.debian.org
Subject: Re: Bug#498632: xserver-xorg-video-nv: 1600x1200 resolution not available
Date: Fri, 12 Sep 2008 18:19:20 +0100
[Message part 1 (text/plain, inline)]
> > On a recent fresh install of Lenny, xorg does not start in 1600x1200
>
> Do you know if the bug occured with older versions of the driver?
> Could you try some of them by looking at http://snapshot.debian.net ?
>

I had trouble getting the older ones there to install because of dpkg
conflicts. So I installed Etch and it gave similar results:

(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)

(II) NV(0): Not using mode "1600x1200" (no mode of this name)

Does it work better if you plug only one of the monitors? Can you try
> both monitor alone, and try each of them plugged on each output?


I have now tried all 4 combinations and the monitors always come up with
1280x1024 rather than 1600x1200.

By the way, if you're feeling a bit adventurous, you could you the
> "nouveau" driver in experimental.
>

I tried to install xserver-xorg-video-nouveau, which wouldn't install
without linux-nouveau-modules. To resolve this I worked out (from reading
around) that I should install drm-modules-source and run 'm-a a-i
drm-modules'. This failed so I followed the advice in bug 496134 to get it
working.

With driver "nouveau", by default, I get 1600x1200 on both screens! xrandr
even sees the individual screens although they show the same output by
default, and aren't usefully combined into a dualhead large desktop. I get
the following error on trying to use xrandr. I haven't had a chance to try
it yet, but it looks like I might be able to address this with a "virtual"
line in xorg.conf.

local@pc20:~$ xrandr --output DVI-D-0 --left-of DVI-D-1
xrandr: screen cannot be larger than 1600x1600 (desired size 3200x1200)

Cheers,
Andrew.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 498632@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Andrew Archibald <andrew.archibald@gmail.com>
Cc: 498632@bugs.debian.org
Subject: Re: Bug#498632: xserver-xorg-video-nv: 1600x1200 resolution not available
Date: Fri, 12 Sep 2008 19:34:34 +0200
Andrew Archibald wrote:
>
>     > On a recent fresh install of Lenny, xorg does not start in 1600x1200
>
>     Do you know if the bug occured with older versions of the driver?
>     Could you try some of them by looking at http://snapshot.debian.net ?
>
>
> I had trouble getting the older ones there to install because of dpkg
> conflicts. So I installed Etch and it gave similar results:
>
> (II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
>
> (II) NV(0): Not using mode "1600x1200" (no mode of this name)
>
>     Does it work better if you plug only one of the monitors? Can you try
>     both monitor alone, and try each of them plugged on each output?
>
>
> I have now tried all 4 combinations and the monitors always come up
> with 1280x1024 rather than 1600x1200.

Ok, assuming this never worked, the question (as usual with the nv
driver) is whether upstream/nvidia may make this work one day.

>     By the way, if you're feeling a bit adventurous, you could you the
>     "nouveau" driver in experimental.
>
>
> I tried to install xserver-xorg-video-nouveau, which wouldn't install
> without linux-nouveau-modules. To resolve this I worked out (from
> reading around) that I should install drm-modules-source and run 'm-a
> a-i drm-modules'. This failed so I followed the advice in bug 496134
> to get it working.
>
> With driver "nouveau", by default, I get 1600x1200 on both screens!
> xrandr even sees the individual screens

Great, thanks for testing. It's good to see that nouveau is getting test
more and more, and that people are happy with it.

> although they show the same output by default, and aren't usefully
> combined into a dualhead large desktop. I get the following error on
> trying to use xrandr. I haven't had a chance to try it yet, but it
> looks like I might be able to address this with a "virtual" line in
> xorg.conf.
>
> local@pc20:~$ xrandr --output DVI-D-0 --left-of DVI-D-1
> xrandr: screen cannot be larger than 1600x1600 (desired size 3200x1200)

Yes, you need Virtual 3200 1200.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. (Sat, 26 Dec 2009 17:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 26 Dec 2009 17:39:13 GMT) Full text and rfc822 format available.

Message #25 received at 498632@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 498632@bugs.debian.org
Subject: nv failing to detect monitor size on DVI-D
Date: Sat, 26 Dec 2009 17:36:16 +0000
I have also just hit this bug. There are, of course, many cards and
monitors nowadays without vga ports. Upstream really need to fix this
urgently if they want to sell nvidia graphics and GPUs. There has to be 
an open source driver as well as their closed source version - which 
often lags current kernels.

For the record here are some extracts of logs:-

1) nv correctly detecting monitor size 1680x1050 when connected via vga:

(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...found one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:E-EDID segment register" registered at address 0x60.
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0):   ... none found
(II) NV(0): Probing for EDID on I2C bus B...
(--) NV(0): DDC detected a CRT:
(II) NV(0): Manufacturer: DEL  Model: f010  Serial#: 1234567modified
(II) NV(0): Year: 2009  Week: 24
(II) NV(0): EDID Version: 1.3
(II) NV(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) NV(0): Sync:  Separate
(II) NV(0): Max Image Size [cm]: horiz.: 47  vert.: 30
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: Off; RGB/Color Display
(II) NV(0): Default color space is primary color space
II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) NV(0): blueX: 0.150 blueY: 0.060   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Supported established timings:
---[snip]---
(II) NV(0): Supported detailed timing:
(II) NV(0): clock: 146.2 MHz   Image Size:  474 x 296 mm
(II) NV(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) NV(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
(II) NV(0): Serial No: H731H96C17PL
(II) NV(0): Monitor name: DELL 2209WA
(II) NV(0): Ranges: V min: 56 V max: 75 Hz, H min: 30 H max: 83 kHz, PixClock max 160 MHz
(II) NV(0): EDID (in hex):
(II) NV(0):     00ffffffffffff0010ac10f04c503731
(II) NV(0):     18130103682f1e782eee95a3544c9926
(II) NV(0):     0f5054a54b00714f8180b30001010101
(II) NV(0):     01010101010121399030621a274068b0
(II) NV(0):     3600da281100001c000000ff00483733
(II) NV(0):     31483936433137504c0a000000fc0044
(II) NV(0):     454c4c203232303957410a20000000fd
(II) NV(0):     00384b1e5310000a202020202020001b
(--) NV(0): CRTC 0 appears to have a CRT attached
(II) NV(0): Using CRT on CRTC 0
(II) NV(0): EDID vendor "DEL", prod id 61456
(II) NV(0): Using EDID range info for horizontal sync
(II) NV(0): Using EDID range info for vertical refresh
(II) NV(0): Printing DDC gathered Modelines:
(II) NV(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
--[snip]--

==========================================================================

2) nv failing to find correct monitor sixe when connected vis DVI-D:-

II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:E-EDID segment register" registered at address 0x60.
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0):   ... none found
(II) NV(0): Probing for EDID on I2C bus B...
(II) NV(0):   ... none found
(--) NV(0): CRTC 0 is currently programmed for DFP
(II) NV(0): Using DFP on CRTC 0
(--) NV(0): Panel size is 1280 x 1024  <==== Which is wrong!
(II) NV(0): NOTE: This driver cannot reconfigure the BIOS-programmed size.
(II) NV(0): These dimensions will be used as the panel size for mode validation.
(II) NV(0): Panel is TMDS
(--) NV(0): VideoRAM: 262144 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Dell 2209WA: Using hsync range of 0.00-63.02 kHz
(II) NV(0): Dell 2209WA: Using vrefresh range of 0.00-59.79 Hz
(II) NV(0): Clock range:  12.00 to 400.00 MHz

--[snip]--

=============================================================================

3) nvidia closed source driver finding correct size via DVI-D:-

(**) Dec 26 12:39:43 NVIDIA(0): Enabling RENDER acceleration
(II) Dec 26 12:39:43 NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) Dec 26 12:39:43 NVIDIA(0):     enabled.
(II) Dec 26 12:39:45 NVIDIA(0): NVIDIA GPU GeForce 6600 (NV43) at PCI:1:0:0 (GPU-0)
(--) Dec 26 12:39:45 NVIDIA(0): Memory: 262144 kBytes
(--) Dec 26 12:39:45 NVIDIA(0): VideoBIOS: 05.43.02.16.00
(II) Dec 26 12:39:45 NVIDIA(0): Detected PCI Express Link width: 16X
(--) Dec 26 12:39:45 NVIDIA(0): Interlaced video modes are supported on this GPU
(--) Dec 26 12:39:45 NVIDIA(0): Connected display device(s) on GeForce 6600 at PCI:1:0:0:
(--) Dec 26 12:39:45 NVIDIA(0):     DELL 2209WA (DFP-0)
(--) Dec 26 12:39:45 NVIDIA(0): DELL 2209WA (DFP-0): 155.0 MHz maximum pixel clock
(--) Dec 26 12:39:45 NVIDIA(0): DELL 2209WA (DFP-0): Internal Single Link TMDS
(II) Dec 26 12:39:45 NVIDIA(0): Assigned Display Device: DFP-0
(II) Dec 26 12:39:45 NVIDIA(0): Validated modes:
(II) Dec 26 12:39:45 NVIDIA(0):     "1680x1050"
(II) Dec 26 12:39:45 NVIDIA(0): Virtual screen size determined to be 1680 x 1050
(--) Dec 26 12:39:45 NVIDIA(0): DPI set to (90, 88); computed from "UseEdidDpi" X config
Dec 26 12:39:45 NVIDIA(0):     option
--[snip]--

===========================================================================

ael





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. (Sun, 10 Jan 2010 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 10 Jan 2010 10:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 498632@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 498632@bugs.debian.org
Subject: nv reading/interpreting EDID from monitor over DVI-D
Date: Sun, 10 Jan 2010 10:39:57 +0000
I have another example of this bug with a different monitor: a Dell SP2309W.
Another Dell if that is significant.

The SP2309W has a native resolution of 2048x1152 and nv gets that right when a VGA
cable is used:

X.Org X Server 1.6.5
Release Date: 2009-10-11
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.30-2-amd64 x86_64 Debian
Current Operating System: Linux precise 2.6.30-2-amd64 #1 SMP Fri Sep 25 22:16:56 UTC 2009 x86_64
Build Date: 13 October 2009  09:39:10AM
xorg-server 2:1.6.5-1 (jcristau@debian.org) 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan  9 21:30:46 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Dell SP2309W"
(**) |   |-->Device "NVIDIA Corporation NV40 [GeForce 6800]"
   ...[snip]...
(II) LoadModule: "nv"
(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
        compiled for 1.6.2.901, module version = 2.1.14
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 5.0
(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
        Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
   ...[snip]...
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...found one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:E-EDID segment register" registered at address 0x60.
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0):   ... none found
(II) NV(0): Probing for EDID on I2C bus B...
(--) NV(0): DDC detected a CRT:
(II) NV(0): Manufacturer: DEL  Model: d01b  Serial#: 809783891
(II) NV(0): Year: 2009  Week: 44
(II) NV(0): EDID Version: 1.3
(II) NV(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) NV(0): Sync:  Separate  Composite  SyncOnGreen
(II) NV(0): Max Image Size [cm]: horiz.: 51  vert.: 29
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.660 redY: 0.325   greenX: 0.217 greenY: 0.676
(II) NV(0): blueX: 0.146 blueY: 0.075   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Supported established timings:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported standard timings:
(II) NV(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #2: hsize: 1680  vsize 1050  refresh: 60  vid: 179
(II) NV(0): Supported detailed timing:
(II) NV(0): clock: 156.8 MHz   Image Size:  510 x 290 mm
(II) NV(0): h_active: 2048  h_sync: 2096  h_sync_end 2128 h_blank_end 2208 h_border: 0
(II) NV(0): v_active: 1152  v_sync: 1155  v_sync_end 1160 v_blanking: 1185 v_border: 0
(II) NV(0): Serial No: T940F9AT0DRS
(II) NV(0): Ranges: V min: 56 V max: 85 Hz, H min: 30 H max: 92 kHz, PixClock max 200 MHz
(II) NV(0): Monitor name: DELL SP2309W
(II) NV(0): EDID (in hex):
(II) NV(0):     00ffffffffffff0010ac1bd053524430
(II) NV(0):     2c1301030e331d78ea1855a95337ad25
(II) NV(0):     135054a54b00714f8180b30001010101
(II) NV(0):     0101010101013b3d00a0808021403020
(II) NV(0):     3500fe221100001a000000ff00543934
(II) NV(0):     3046394154304452530a000000fd0038
(II) NV(0):     551e5c14000a202020202020000000fc
(II) NV(0):     0044454c4c20535032333039570a004b
(--) NV(0): CRTC 0 appears to have a CRT attached
(II) NV(0): Using CRT on CRTC 0
(II) NV(0): EDID vendor "DEL", prod id 53275
(II) NV(0): Using EDID range info for horizontal sync
(II) NV(0): Using EDID range info for vertical refresh
(II) NV(0): Printing DDC gathered Modelines:
(II) NV(0): Modeline "2048x1152"x0.0  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz)                              <=== native, correct
(II) NV(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
   ...[snip]...
(II) NV(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(--) NV(0): VideoRAM: 131072 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Dell SP2309W: Using hsync range of 30.00-92.00 kHz
(II) NV(0): Dell SP2309W: Using vrefresh range of 56.00-85.00 Hz
(II) NV(0): Dell SP2309W: Using maximum pixel clock of 200.00 MHz
(II) NV(0): Estimated virtual size for aspect ratio 1.7586 is 2048x1152
(II) NV(0): Clock range:  12.00 to 400.00 MHz
   ...[snip]...
(II) NV(0): Not using default mode "1024x768" (hsync out of range)
(--) NV(0): Virtual size is 2048x1152 (pitch 2048)
(**) NV(0): *Driver mode "2048x1152": 156.8 MHz, 71.0 kHz, 59.9 Hz
(II) NV(0): Modeline "2048x1152"x59.9  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz)
   ...[snip]...
(**) NV(0): Display dimensions: (510, 290) mm
(**) NV(0): DPI set to (101, 100)
  ...[snip]...

===========================================================================================


However it gets it wrong when the DVI-D interface is used:-


X.Org X Server 1.6.5
Release Date: 2009-10-11
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.30-2-amd64 x86_64 Debian
Current Operating System: Linux precise 2.6.30-2-amd64 #1 SMP Fri Sep 25 22:16:56 UTC 2009 x86_64
Build Date: 13 October 2009  09:39:10AM
xorg-server 2:1.6.5-1 (jcristau@debian.org) 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan  9 21:15:03 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Dell SP2309W"
(**) |   |-->Device "NVIDIA Corporation NV40 [GeForce 6800]"
(**) |-->Input Device "Generic Keyboard"
   ... [snip]...

(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
        compiled for 1.6.2.901, module version = 2.1.14
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 5.0
(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
        Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
        Aladdin TNT2, GeForce 256, GeForce DDR, Quadro, GeForce2 MX/MX 400,

   ...[snip]...

(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...found one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...found one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:E-EDID segment register" registered at address 0x60.
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: DEL  Model: d01c  Serial#: 809783891
(II) NV(0): Year: 2009  Week: 44
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max Image Size [cm]: horiz.: 51  vert.: 29
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off
(II) NV(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.660 redY: 0.325   greenX: 0.217 greenY: 0.676
(II) NV(0): blueX: 0.146 blueY: 0.075   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Supported established timings:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported standard timings:
(II) NV(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #2: hsize: 1680  vsize 1050  refresh: 60  vid: 179
(II) NV(0): Supported detailed timing:
(II) NV(0): clock: 156.8 MHz   Image Size:  510 x 290 mm
(II) NV(0): h_active: 2048  h_sync: 2096  h_sync_end 2128 h_blank_end 2208 h_border: 0
(II) NV(0): v_active: 1152  v_sync: 1155  v_sync_end 1160 v_blanking: 1185 v_border: 0
(II) NV(0): Serial No: T940F9AT0DRS
(II) NV(0): Ranges: V min: 56 V max: 85 Hz, H min: 30 H max: 92 kHz, PixClock max 170 MHz
(II) NV(0): Monitor name: DELL SP2309W
(II) NV(0): EDID (in hex):
(II) NV(0):     00ffffffffffff0010ac1cd053524430
(II) NV(0):     2c13010380331d78ea1855a95337ad25   <== differs from vga line (anal/dig ok?)
(II) NV(0):     135054a54b00714f8180b30001010101
(II) NV(0):     0101010101013b3d00a0808021403020
(II) NV(0):     3500fe221100001a000000ff00543934
(II) NV(0):     3046394154304452530a000000fd0038
(II) NV(0):     551e5c11000a202020202020000000fc
(II) NV(0):     0044454c4c20535032333039570a00db
(II) NV(0): Probing for EDID on I2C bus B...
(II) NV(0):   ... none found
(--) NV(0): CRTC 0 is currently programmed for DFP
(II) NV(0): Using DFP on CRTC 0
(--) NV(0): Panel size is 1280 x 1024
(II) NV(0): NOTE: This driver cannot reconfigure the BIOS-programmed size.
(II) NV(0): These dimensions will be used as the panel size for mode validation.
(II) NV(0): EDID vendor "DEL", prod id 53276
(II) NV(0): Using EDID range info for horizontal sync
(II) NV(0): Using EDID range info for vertical refresh
(II) NV(0): Printing DDC gathered Modelines:
(II) NV(0): Modeline "2048x1152"x0.0  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz)
   ...[snip]...
(II) NV(0): Panel is TMDS
(--) NV(0): VideoRAM: 131072 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Dell SP2309W: Using hsync range of 30.00-92.00 kHz
(II) NV(0): Dell SP2309W: Using vrefresh range of 56.00-85.00 Hz
(II) NV(0): Dell SP2309W: Using maximum pixel clock of 170.00 MHz
(II) NV(0): Estimated virtual size for aspect ratio 1.7586 is 2048x1152
(II) NV(0): Clock range:  12.00 to 400.00 MHz
(II) NV(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
   ...[snip]...
(II) NV(0): Not using driver mode "2048x1152" (exceeds panel dimensions)  <==== wrong
(II) NV(0): Not using driver mode "1680x1050" (exceeds panel dimensions)
(WW) NV(0): Shrinking virtual size estimate from 2048x1152 to 1280x1024   <==== wrong
(--) NV(0): Virtual size is 1280x1024 (pitch 1280)
(**) NV(0): *Driver mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(**) NV(0): *Driver mode "1280x1024": 108.0 MHz, 64.0 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(**) NV(0): *Driver mode "1280x1024": 90.8 MHz, 63.0 kHz, 59.8 Hz
(II) NV(0): Modeline "1280x1024"x59.8   90.75  1280 1328 1360 1440  1024 1027 1034 1054 +hsync -vsync (63.0 kHz)
  ...[snip]...
(II) NV(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(**) NV(0): Display dimensions: (510, 290) mm
(**) NV(0): DPI set to (63, 89)
   ...[snip]...
======================================================================================

It looks as if the EDID block is being read correctly if I understand 
http://en.wikipedia.org/wiki/Extended_display_identification_data .
At least the only difference looks like byte 20 which is presumably
just noting the difference between the VGA and DVI signals. But I have not
checked properly.

Why should the nv driver interpret the tiiming data differently for different
interfaces?

In passing, it seems that the closed source nvidia driver also has problems 
with this monitor on DVI-D. Is Dell doing something evil in its monitors?

ael






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. (Sun, 10 Jan 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 10 Jan 2010 21:24:03 GMT) Full text and rfc822 format available.

Message #35 received at 498632@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 498632@bugs.debian.org
Subject: nv reading/interpreting EDID from monitor over DVI-D
Date: Sun, 10 Jan 2010 21:22:57 +0000
In my previous report I had only noticed a single byte difference in the EDID dumps over 
vga as opposed to DVI. In fact there are four:-

$ cmp -l  edid.bin_vga edid.bin_DVI
 11  33  34
 21  16 200
100  24  21
128 113 333

My attempt to decode these didn't seem to match 
http://en.wikipedia.org/wiki/Extended_display_identification_data, so I no longer sure of
their significance.

However ddcprobe when the VGA connector is in use gives:
---------------------------------------------------------------------
vbe: VESA 3.0 detected.
oem: NVIDIA
vendor: NVIDIA Corporation
product: nv40 Board - p212-1 Chip Rev
memory: 131072kb
mode: 640x400x256
mode: 640x480x256
mode: 800x600x16
mode: 800x600x256
mode: 1024x768x16
mode: 1024x768x256
mode: 1280x1024x16
mode: 1280x1024x256
mode: 320x200x64k
mode: 320x200x16m
mode: 640x480x64k
mode: 640x480x16m
mode: 800x600x64k
mode: 800x600x16m
mode: 1024x768x64k
mode: 1024x768x16m
mode: 1280x1024x64k
mode: 1280x1024x16m
edid: 
edid: 1 3
id: d01b
eisa: DELd01b
serial: 30445253
manufacture: 44 2009
input: separate sync, composite sync, sync on green, analog signal.
screensize: 51 29
gamma: 2.200000
dpms: RGB, active off, suspend, standby
timing: 720x400@70 Hz (VGA 640x400, IBM)
timing: 640x480@60 Hz (VGA)
timing: 640x480@75 Hz (VESA)
timing: 800x600@60 Hz (VESA)
timing: 800x600@72 Hz (VESA)
timing: 800x600@75 Hz (VESA)
timing: 1024x768@87 Hz Interlaced (8514A)
timing: 1024x768@75 Hz (VESA)
ctiming: 1152x864@75
ctiming: 1280x1024@60
ctiming: 1680x1680@60
dtiming: 2048x1152@59
monitorserial: T940F9AT0DRS
monitorrange: 30-92, 56-85
monitorname: DELL SP2309W

-----------------------------------------------------------------------------

However, dccprobe *fails* when the DVI connection is used:-
------------------------------------------------------------------------------
vbe: VESA 3.0 detected.
oem: NVIDIA
vendor: NVIDIA Corporation
product: nv40 Board - p212-1 Chip Rev
memory: 131072kb
mode: 640x400x256
mode: 640x480x256
mode: 800x600x16
mode: 800x600x256
mode: 1024x768x16
mode: 1024x768x256
mode: 1280x1024x16
mode: 1280x1024x256
mode: 320x200x64k
mode: 320x200x16m
mode: 640x480x64k
mode: 640x480x16m
mode: 800x600x64k
mode: 800x600x16m
mode: 1024x768x64k
mode: 1024x768x16m
mode: 1280x1024x64k
mode: 1280x1024x16m
edid: 
edidfail

-------------------------------------------------------------------
 

Further investigation with the closed source nvidia driver eventually showed
that the  "NoMaxPClkCheck" option in xorg.conf allowed the correct resolution.

Section "Device"
    Identifier     "NVIDIA Corporation NV40 [GeForce 6800]"
    Driver         "nvidia"
#   Option          "UseEDID" "FALSE"  <== not enough: still probed for pixel clock!
     Option        "ModeValidation" "noMaxPClkCheck"
EndSection
                                                                                
What seemed to be happening before with DVI was a maximum pixel clock of 155MHz was probed:

(--) Jan 09 20:40:08 NVIDIA(0): DELL SP2309W (DFP-0): 155.0 MHz maximum pixel clock
(--) Jan 09 20:40:08 NVIDIA(0): DELL SP2309W (DFP-0): Internal Single Link TMDS

whereas the native 2048x1152 requires 156.75MHz
"2048x1152"x0.0  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz)

--------------------------------------------------------------------------------------

I have just discovered
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=438850
reporting the same problem on a Samsung Syncmaster:
   Manufacturer: SAM  Model: 21e  Serial#: xxxxxxxxxx

That bug is over two years old. The "won't fix" is alarming. 
In searching for other reports before posting, it was clear to me that many people see the problem
but don't have the expertize to diagnose what is wrong. Usually they just revert to VGA.
That, of course, is a dismal option not only because of signal quality, but also because
of the silliness and waste of power in a redundant conversion to and from analogue.

If this really is a monitor firmware bug, can't upstream contact Samsung and Dell to
get them to fix it? Or should I return my monitors to Dell as "not fit for purpose"?

From the little I could find out about the EDID specifications, there seem to be a variety of extensions
with some sections allowing proprietary variation. Could one of those e causing the
problems? The failure of ddcprobe above seems to confirm one or other of these.



~                                                                                                         
~                        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. (Mon, 11 Jan 2010 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 11 Jan 2010 18:09:02 GMT) Full text and rfc822 format available.

Message #40 received at 498632@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 498632@bugs.debian.org
Subject: Bug in reading Maximum Pixel Clock rate from DVI EDID
Date: Mon, 11 Jan 2010 18:08:05 +0000
I have a thread at
  http://www.nvnews.net/vbulletin/showthread.php?p=2162379&posted=1#post2162379
describing this problem for the closed source driver.

I can now summarize the problem very compactly:

1) The EDID block read from the SP2309W monitor is:

0000000 ff00 ffff ffff 00ff ac10 d01c 5253 3044
0000010 132c 0301 3380 781d 18ea a955 3753 25ad
0000020 5013 a554 004b 4f71 8081 00b3 0101 0101
0000030 0101 0101 0101 3d3b a000 8080 4021 2030
0000040 0035 22fe 0011 1a00 0000 ff00 5400 3439
0000050 4630 4139 3054 5244 0a53 0000 fd00 3800
0000060 1e55 115c 0a00 2020 2020 2020 0000 fc00
0000070 4400 4c45 204c 5053 3332 3930 0a57 db00

2) http://en.wikipedia.org/wiki/Extended_display_identification_data
tells me:
54–71: DESCRIPTOR BLOCK 1
54–55: Pixel Clock (in 10 kHz) or 0 (55 MSB 54 LSB)

Bytes 54-55 above are 3d3b, ie exactly 156.75MHz.

3) The native resolution for this monitor matches
"2048x1152"x0.0 156.75 2048 2096 2128 2208 1152 1155 1160 1185 +hsync -vsync (71.0 kHz)

Thus the monitor is giving the correct (Maximum) pixel rate.

4) However the nv driver shows in Xorg.0.log:-

(II) NV(0): EDID (in hex):
(II) NV(0):     00ffffffffffff0010ac1cd053524430
(II) NV(0):     2c13010380331d78ea1855a95337ad25
(II) NV(0):     135054a54b00714f8180b30001010101
(II) NV(0):     0101010101013b3d00a0808021403020  <== byte 54 = 3b, byte 55 = 3d
(II) NV(0):     3500fe221100001a000000ff00543934
(II) NV(0):     3046394154304452530a000000fd0038
(II) NV(0):     551e5c11000a202020202020000000fc
(II) NV(0):     0044454c4c20535032333039570a00db

(II) NV(0): Dell SP2309W: Using maximum pixel clock of 170.00 MHz

and later:-

(II) NV(0): Not using driver mode "2048x1152" (exceeds panel dimensions)
(II) NV(0): Not using driver mode "1680x1050" (exceeds panel dimensions)
(WW) NV(0): Shrinking virtual size estimate from 2048x1152 to 1280x1024

5) The closed source nvidia driver misreads the max pixel clock rate as 155MHz, but
  as above, nv gets 170.0 MHz. Both are clearly wrong. And given that this is a
simple offset into the edid block, it surely can't a difficult problem to fix?
Clearly the nv driver has another issue with panel size.

As far as I can see, this part of the edid specification (as on Wikipedia) is
unambiguous so a fix ought to be simple?

ael





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#498632; Package xserver-xorg-video-nv. (Mon, 11 Jan 2010 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 11 Jan 2010 19:18:03 GMT) Full text and rfc822 format available.

Message #45 received at 498632@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 498632@bugs.debian.org
Subject: nv not allowing native resolution
Date: Mon, 11 Jan 2010 18:56:48 +0000
In the thread at
  http://www.nvnews.net/vbulletin/showthread.php?p=2162420&posted=1#post2162420
it seems that the closed source nvidia driver was reporting a maximum pixel clock
frequency limitation of the GPU rather than of the monitor. 

So it is possible that the nv driver is doing the same thing, in which case it is correct.
However the messages in Xorg.o.log don't give that impression at all: as noted above
the message is 
  (II) NV(0): Not using driver mode "2048x1152" (exceeds panel dimensions) .

So both drivers could do with clearer log messages at least.

However, it does look as if it is still a panel size problem with nv rather than the
pixel clock.

ael





Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 09 Feb 2011 12:52:16 GMT) Full text and rfc822 format available.

Notification sent to Andrew Archibald <andrew.archibald@gmail.com>:
Bug acknowledged by developer. (Wed, 09 Feb 2011 12:52:16 GMT) Full text and rfc822 format available.

Message #50 received at 498632-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 377847-done@bugs.debian.org,383465-done@bugs.debian.org,396993-done@bugs.debian.org,403350-done@bugs.debian.org,405179-done@bugs.debian.org,438850-done@bugs.debian.org,453782-done@bugs.debian.org,461756-done@bugs.debian.org,465084-done@bugs.debian.org,471566-done@bugs.debian.org,474319-done@bugs.debian.org,484583-done@bugs.debian.org,488452-done@bugs.debian.org,488907-done@bugs.debian.org,493327-done@bugs.debian.org,495610-done@bugs.debian.org,498070-done@bugs.debian.org,498632-done@bugs.debian.org,499664-done@bugs.debian.org,502103-done@bugs.debian.org,503178-done@bugs.debian.org,509211-done@bugs.debian.org,511291-done@bugs.debian.org,513904-done@bugs.debian.org,514369-done@bugs.debian.org,515527-done@bugs.debian.org,521876-done@bugs.debian.org,524457-done@bugs.debian.org,524638-done@bugs.debian.org,528092-done@bugs.debian.org,528093-done@bugs.debian.org,528724-done@bugs.debian.org,531967-done@bugs.debian.org,536874-done@bugs.debian.org,540240-done@bugs.debian.org,557195-done@bugs.debian.org,557573-done@bugs.debian.org,565182-done@bugs.debian.org,565488-done@bugs.debian.org,574828-done@bugs.debian.org,578062-done@bugs.debian.org,579952-done@bugs.debian.org,
Cc: xserver-xorg-video-nv@packages.debian.org, xserver-xorg-video-nv@packages.qa.debian.org
Subject: Bug#612189: Removed package(s) from unstable
Date: Wed, 09 Feb 2011 12:47:26 +0000
Version: 1:2.1.17-3+rm

Dear submitter,

as the package xserver-xorg-video-nv has just been removed from the Debian archive
unstable we hereby close the assiciated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/612189

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Apr 2011 07:44:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:46:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.